#version 430 core

in vec3 position;
in vec3 normal;
in vec2 uv;

out vec3 worldNormal;
out vec3 fragmentPos;
out vec2 fragmentUV;

uniform mat4 model;
uniform mat4 view_proj;

void main() {

	fragmentUV = uv;
	worldNormal = mat3(transpose(inverse(model))) * normal;
	fragmentPos = vec3(model * vec4(position, 1.0f));
	gl_Position = view_proj * model * vec4(position, 1);

}
