#version 430 core

in vec3 position;
in vec3 normal;
in vec2 uv;

out VS_OUT {
    vec3 FragPos;
    vec3 Normal;
    vec2 TexCoords;
} vs_out;

uniform mat4 model;
uniform mat4 view_proj;

void main() {

    vs_out.FragPos = vec3(model * vec4(position, 1.0f));
    vs_out.Normal = transpose(inverse(mat3(model))) * normal;
    vs_out.TexCoords = uv;

	gl_Position = view_proj * model * vec4(position, 1.0f);
}